Get posts for a channel
GET/api/v4/channels/:channel_id/posts
Get a page of posts in a channel. Use the query parameters to modify the behaviour of this endpoint. The parameter since must not be used with any of before, after, page, and per_page parameters.
If since is used, it will always return all posts modified since that time, ordered by their create time limited till 1000. A caveat with this parameter is that there is no guarantee that the returned posts will be consecutive. It is left to the clients to maintain state and fill any missing holes in the post order.
Permissions
Must have read_channel permission for the channel.
Request
Responses
- 200
- 400
- 401
- 403
Post list retrieval successful
Invalid or missing parameters in URL or request body
No access token provided
Do not have appropriate permissions